<?php
/*
*	Con este fichero nos aseguramos de que webStore 3.0 sea compatible con el 2.0
*	@version 1.0.0
*	@date 2018/28/06
*
*/

//Vamos a inicializar cosas que se necesitan del viejo webStore
$_WH = new PlantillaWidget();   //Cargamos una plantilla para crear los widgets
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
// lista de menasjes del sistema
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
$listaSysMsg = Sesion::get('listaSysMsg');
if ($listaSysMsg == NULL) {
    $listaSysMsg = new ListSysMsg();
}


//Empezamos la carga del viejo webStore
include('comunes/funciones/funciones_generales.php');
//No cargamos estructura de datos, cargamos lo nuevo:
//include('comunes/estructuras_de_datos.php');
//Esto que cargamos aquí es el contenido de "estructuras_de_datos"
//$ruta_configXML = localizaConfigSys('themes/perez/configuracion.xml');
function incrementa_contador($use_micro_time = false){

	include('comunes/globals.php');
	if (!$use_micro_time){
		if (!is_integer($contador_general)){
			$contador_general = 0;
		}
		$contador_general++;
		return($contador_general);
	}else{
		$tiempo_actual = microtime();
		$tiempo_actual = str_replace(' ', '_', $tiempo_actual);
		$tiempo_actual = str_replace('0.', '0', $tiempo_actual);
		return($tiempo_actual);
	}
}

include('comunes/globals.php');
include('comunes/funciones/funciones_bases_de_datos.php');
//include('comunes/funciones/funciones_sesion.php');
include('comunes/funciones/funciones_idioma.php');
include('comunes/funciones/funciones_precios.php');
//include_once('comunes/email/emails.php'); ==> otra tabla que nos vamos a quitar del medio
include_once('comunes/lista_widgets.php');

/*$configuracion = new Configuracion();	//Cargamos la configuración de la web
$empresa = new Empresa();				//Cargamos los datos de la empresa
*/
//Para tener las cookies, vamos a ver el dominio y la carpeta dónde estoy
$dominio = dominio();
$carpeta = carpeta_dominio();
//Ahora cargamos el array que contiene la indexación de ficheros de webstore
//Vamos a cargar la lista de widgets disponibles
include_once('comunes/lista_widgets.php');	//==>Cargamos los widgets disponibles

?>